Subject: Re: [PATCH] powerpc: Fix 44x Machine Check handling

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 17 Nov 2007 09:21:41 +1100

> > Index: linux-work/include/asm-powerpc/cputable.h
> > ===================================================================
> > --- linux-work.orig/include/asm-powerpc/cputable.h	2007-11-16  
> > 16:14:29.000000000 +1100
> > +++ linux-work/include/asm-powerpc/cputable.h	2007-11-16  
> > 16:19:35.000000000 +1100
> > @@ -138,6 +138,7 @@ extern void do_feature_fixups(unsigned l
> > #define CPU_FTR_FPU_UNAVAILABLE		ASM_CONST(0x0000000000800000)
> > #define CPU_FTR_UNIFIED_ID_CACHE	ASM_CONST(0x0000000001000000)
> > #define CPU_FTR_SPE			ASM_CONST(0x0000000002000000)
> > +#define CPU_FTR_440A			ASM_CONST(0x0000000004000000)
> 
> Can we be more specific about what this feature really means.
> 
> How about something like CPU_FTR_ENH_MCHCK or something like that.

Did that at first, then figured out that I indeed had 2 core manuals one
of them being labelled "A"... I'm trying to figure out what other
differences they may have to see whether I should stick to that CPU
feature or just remove it completely and do as Olof suggested.

Ben.